JBoss API: Class MessageDrivenEnterpriseContext.MessageDrivenContextImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Class MessageDrivenEnterpriseContext.MessageDrivenContextImpl

    java.lang.Object
      |
      +--org.jboss.ejb.EnterpriseContext.EJBContextImpl
            |
            +--org.jboss.ejb.MessageDrivenEnterpriseContext.MessageDrivenContextImpl

All Implemented Interfaces:
  javax.ejb.EJBContext, javax.ejb.MessageDrivenContext

Enclosing class:
  MessageDrivenEnterpriseContext

protected class MessageDrivenEnterpriseContext.MessageDrivenContextImpl
extends EnterpriseContext.EJBContextImpl
implements javax.ejb.MessageDrivenContext

Constructor Summary
`protected` | `MessageDrivenEnterpriseContext.MessageDrivenContextImpl()`

Method Summary
`java.security.Principal` | `getCallerPrincipal()` Get the Principal for the current caller.
`javax.ejb.EJBHome` | `getEJBHome()`
`boolean` | `getRollbackOnly()`
`boolean` | `isCallerInRole(java.lang.String id)`
`void` | `setRollbackOnly()`

Methods inherited from class org.jboss.ejb.EnterpriseContext.EJBContextImpl
`getCallerIdentity, getEJBLocalHome, getEnvironment, getUserTransaction, isCallerInRole`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.ejb.EJBContext
`getCallerIdentity, getEJBLocalHome, getEnvironment, getUserTransaction, isCallerInRole`

Constructor Detail

### MessageDrivenEnterpriseContext.MessageDrivenContextImpl

    protected MessageDrivenEnterpriseContext.MessageDrivenContextImpl()

Method Detail

### getEJBHome

    public javax.ejb.EJBHome getEJBHome()

  Specified by:
    `getEJBHome` in interface `javax.ejb.EJBContext`
  Overrides:
    `getEJBHome` in class `EnterpriseContext.EJBContextImpl`

### isCallerInRole

    public boolean isCallerInRole(java.lang.String id)

  Specified by:
    `isCallerInRole` in interface `javax.ejb.EJBContext`
  Overrides:
    `isCallerInRole` in class `EnterpriseContext.EJBContextImpl`

### getCallerPrincipal

    public java.security.Principal getCallerPrincipal()

  Description copied from class: `EnterpriseContext.EJBContextImpl`
  Get the Principal for the current caller. This method cannot return null according to the ejb-spec.
  Specified by:
    `getCallerPrincipal` in interface `javax.ejb.EJBContext`
  Overrides:
    `getCallerPrincipal` in class `EnterpriseContext.EJBContextImpl`

### getRollbackOnly

    public boolean getRollbackOnly()

  Specified by:
    `getRollbackOnly` in interface `javax.ejb.EJBContext`
  Overrides:
    `getRollbackOnly` in class `EnterpriseContext.EJBContextImpl`

### setRollbackOnly

    public void setRollbackOnly()

  Specified by:
    `setRollbackOnly` in interface `javax.ejb.EJBContext`
  Overrides:
    `setRollbackOnly` in class `EnterpriseContext.EJBContextImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.